cancel
Showing results for 
Search instead for 
Did you mean: 
cancel
Announcements
Walkthrough Wednesdays
1330
Views
15
Helpful
12
Replies
ragz3000
Beginner

Error message when upgrading Cisco webex kit pro

Current version 9.7.1

Trying to upgrade the room kit pro to 9.12.3

 

[ 0] [* ] Obtaining lock
[ 0] [** ] Determining base directory
[ 0] [*** ] Determining install directory
[ 0] [**** ] Verifying copfile
[ 11] [***** ] Extracting copfile
Failed finding package to install

 

 

12 REPLIES 12
Wayne DeNardi
VIP Advisor

If you are using the web interface to perform this upgrade there is an issue going from a pre CE9.8.2/CE9.9.1 version due to the file size.

As per the Release Notes, if you need to upgrade one of the older software releases, you will need to do a stepped upgrade to first upgrade to CE9.8.2/CE9.9.1 first (i'd suggest CE9.9.4 as an available version) before trying to go to CE9.10+.

Wayne
--
Please remember to rate responses and to mark your question as answered if appropriate.

Hi Wayne.
I'm having the same problem. A brand new (recently unboxed Webex Codec Pro) that we were unable to install last year because of the pandemic. It comes with version 9.7.1. The thing is that versions 9.8.X and 9.9.X are deferred and no longer available for download.

I have tried with versions 9.12.4 and 9.12.5 and it gives the "installation failed" error after processing the file.

Any chance to get deferred versions?

 

Thanks!

 

Regards,

Janower - according to the release notes, if you push the software upgrade from CUCM you won't have this problem - it's only when upgrading via the web GUI. Do you have that option? If so I'd try that. 

 

https://www.cisco.com/c/dam/en/us/td/docs/telepresence/endpoint/software/ce9/release-notes/ce-software-release-notes-ce9.pdf

 

Hey Patrick.

Thanks for your reply.

Since we don't have these endpoints registered in CUCM, this was not an option.

I ended up googling and downloading an old/deferred version (CE9.9.1) from another source, upgraded to that version (after double checking file hashes), and then to the latest (CE9.14.5).

I know Cisco encourages to keep devices up-to-date, but for cases like these, where the devices were left unboxed for a year, they should at least leave a "viable/middle" version available for download and jump from there.

 

Thanks again.

 

Regards,

 

        Alejandro Janower

many of those deferred releases were done so due to software vulnerabilities. Because of this particular issue though - they should have one available version that will fix the problem. Glad you got it worked out. 

I have same error when upgrade, could you share how to download CE9.9.1, thanks.

CE9.10.1 is smaller than the maximum file size so it can be used for this purpose instead of the older deferred release. 

Wayne
--
Please remember to rate responses and to mark your question as answered if appropriate.

Hi Wayne.

The oldest release available for download from Cisco is CE9.12.4 (at least for the Plus and Pro endpoints).

CE9.10.1 does not even appear under deferred releases.

 

Regards,

 

              Alejandro

Eric Ingram
Enthusiast

If you don't already have CE9.8, or CE9.10 and can not download it because it's deprecated reach out to TAC to request version so you can upgrade.

 

We had the same issue where we purchased 100s of units and they all have old CE code due to pandemic been sitting in storage.  Now we install and they have 9.7.  I got lucky and had both CE9.8 and CE9.10 from previous years.

crannman1
Beginner

This solution will likely work with any version.


I was having this same issue, and with no luck in finding an alternative to download a lower version of the software what I did was to use 7zip to open the latest file "cmterm-s53200ce9_14_5-42d28d6c074.k3.cop.sgn" inside this I open "cmterm-s53200ce9_14_5-42d28d6c074.k3.cop" using 7zip again and inside this one I found "s53200ce9_14_5-42d28d6c074.pkg" which I was able to extract and use to upgrade using the WEBUI

 

Thanks for all the tips which led me to this.

Oh this is great!

One question though... by doing it this way, the touch panel and cameras were also updated? I'm not sure if by using only this pkg, it excludes firmware for peripherals.

It wouldn't matter if this happened anyway... you can upgrade to the latest version with the complete package and all the elements would be upgraded then.

 

Thanks for your input.

Magnus Ohm
Cisco Employee

Just to clarify this thread.

 

The limitation in question is regarding the web interface file upload which has a limitation of 1GB, this has later been increased to 2GB. It only affects devices that tries to upload a large file via the web interface, this means that you will not get to the step where the upgrade has actually started if you hit this issue - since then the package is already loaded on to the system.

 

In your case I would check that you loaded the correct platform package to the device as this is the kind of error you would see if you loaded, for example, s53200 software on a s53300 platform. - it could also be that the package is corrupted in some way or related to a bug in the older software version - but not related to the documented limitation about file size since this exists only in web.

 

There is a good workaround to this that can be used and many admins controls or knows how to set up a HTTP server (which can also be done on your workstation).

 

1. If you have a web server (Apache, Nginx, IIS or similar or are able to spin up a web server in your network that has connectivity to the device), you can put the software on that web server and push the command:

Your web server (maybe hosting other files as well, this can be used as a resource for upgrading)

xCommand SystemUnit SoftwareUpgrade URL: http(s)://yourcustomhttpserver/filename.k9.cop.sgn

If you have a CUCM or TMS, these should be used to manage upgrades regardless, but if you are not you
can use them as a hosting resource for the files:
xCommand SystemUnit SoftwareUpgrade URL: http(s)://yourtmsserver/public/pathtofile/filename.k9.cop.sgn

CUCM can also be used as a http server resource, but if you have a CUCM, you should be using it to manage
the software upgrades anyway:

xCommand SystemUnut SoftwareUpgrade URL: http(s)://yourcucmserver:6970/s53300ce9_15_0_11-aec227943ed.loads
The loads file contains pointers to the whereabouts of the peripheral software. The device will download the software
based on what it has connected.

Or (but careful):
xCommand SystemUnut SoftwareUpgrade URL: http(s)://yourcucmserver:6790/53300ce9_15_0_11-aec227943ed.pkg

Careful with upgrading using PKG files as this will cause camera upgrades and peripheral upgrades to fail.
This can be fixed by upgrading again using the cop file. For older devices, the peripheral software is included
in the pkg.

Type

xStatus //Upgrade

To track the software upgrade status.. the device will upgrade as soon as the package is downloaded without the 60 seconds countdown. This method should effectively bypass the need for a step upgrade.

 

If you have multiple devices that needs to upgrade like this, you have tools like CE-Deploy or you can script your own distribution of the upgrade command to multiple devices at once. This is the method I recommend to save time.

 

You can try it by sending this using, for example, postman

 

HTTP POST: /putxml

HEADERS: Authorization: Basic <b64 encoded credentials>, Content-Type: text/xml

DATA:

<Command>

    <SystemUnit>

        <SoftwareUpgrade>

           <URL>http://yourserver/upgradefile.cop.sgn</URL>

        </SoftwareUpgrade>

    </SystemUnit>

</Command>

 

TAC can in some cases provide deferred software packages to aid in resolution of the case or help you upgrading directly using the support shell.

 

Cisco is deferring software packages according to policy, and we will not re-release old software that has known vulnerabilities.

It is indeed a very unfortunate bug that was discovered too late, but there are good workarounds that skips the "step" upgrade.

Content for Community-Ad

Spotlight Awards 2021